# Generated by rust2rpm
# * Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate rand

Name:           rust-%{crate}
Summary:        Random number generators and other randomness functionality
Version:        0.6.4
Release:        1%{?dist}

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/rand
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * Remove non-unix dependencies
Patch0:         rand-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(autocfg/default) >= 0.1.0 with crate(autocfg/default) < 0.2.0)
BuildRequires:  (crate(libc) >= 0.2.0 with crate(libc) < 0.3.0)
BuildRequires:  (crate(log/default) >= 0.4.0 with crate(log/default) < 0.5.0)
BuildRequires:  (crate(rand_chacha/default) >= 0.1.0 with crate(rand_chacha/default) < 0.2.0)
BuildRequires:  (crate(rand_core) >= 0.3.0 with crate(rand_core) < 0.4.0)
BuildRequires:  (crate(rand_core/alloc) >= 0.3.0 with crate(rand_core/alloc) < 0.4.0)
BuildRequires:  (crate(rand_core/serde1) >= 0.3.0 with crate(rand_core/serde1) < 0.4.0)
BuildRequires:  (crate(rand_core/std) >= 0.3.0 with crate(rand_core/std) < 0.4.0)
BuildRequires:  (crate(rand_hc/default) >= 0.1.0 with crate(rand_hc/default) < 0.2.0)
BuildRequires:  (crate(rand_isaac/default) >= 0.1.0 with crate(rand_isaac/default) < 0.2.0)
BuildRequires:  (crate(rand_isaac/serde1) >= 0.1.0 with crate(rand_isaac/serde1) < 0.2.0)
BuildRequires:  (crate(rand_os/default) >= 0.1.0 with crate(rand_os/default) < 0.2.0)
BuildRequires:  (crate(rand_pcg/default) >= 0.1.0 with crate(rand_pcg/default) < 0.2.0)
BuildRequires:  (crate(rand_xorshift/default) >= 0.1.0 with crate(rand_xorshift/default) < 0.2.0)
BuildRequires:  (crate(rand_xorshift/serde1) >= 0.1.0 with crate(rand_xorshift/serde1) < 0.2.0)
%if %{with check}
BuildRequires:  (crate(average/default) >= 0.9.2 with crate(average/default) < 0.10.0)
BuildRequires:  (crate(rand_xoshiro/default) >= 0.1.0 with crate(rand_xoshiro/default) < 0.2.0)
%endif

%global _description \
Random number generators and other randomness functionality.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE COPYRIGHT
%doc README.md CHANGELOG.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages
which use "alloc" feature of "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+i128_support-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+i128_support-devel %{_description}

This package contains library source intended for building other packages
which use "i128_support" feature of "%{crate}" crate.

%files       -n %{name}+i128_support-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+log-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+log-devel %{_description}

This package contains library source intended for building other packages
which use "log" feature of "%{crate}" crate.

%files       -n %{name}+log-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+rand_os-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rand_os-devel %{_description}

This package contains library source intended for building other packages
which use "rand_os" feature of "%{crate}" crate.

%files       -n %{name}+rand_os-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+serde1-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde1-devel %{_description}

This package contains library source intended for building other packages
which use "serde1" feature of "%{crate}" crate.

%files       -n %{name}+serde1-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages
which use "std" feature of "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Jan 10 2019 Josh Stone <jistone@redhat.com> - 0.6.4-1
- Update to 0.6.4

* Mon Dec 03 2018 Igor Gnatenko <ignatenkobrian@fedoraproject.org> - 0.6.1-1
- Update to 0.6.1

* Sat Oct 27 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.5-3
- Adapt to new packaging

* Sun Oct 07 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.5-2
- Run tests in infrastructure

* Wed Aug 08 2018 Josh Stone <jistone@redhat.com> - 0.5.5-1
- Update to 0.5.5

* Fri Jul 13 2018 Josh Stone <jistone@redhat.com> - 0.5.4-1
- Update to 0.5.4

* Thu Jul 05 2018 Josh Stone <jistone@redhat.com> - 0.5.3-2
- Fix the python2 exclusion

* Sat Jun 30 2018 Josh Stone <jistone@redhat.com> - 0.5.3-1
- Update to 0.5.3

* Tue Feb 20 2018 Josh Stone <jistone@redhat.com> - 0.4.2-4
- Exclude python2 utilities

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.2-2
- Rebuild for rust-packaging v5

* Sat Jan 06 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.2-1
- Update to 0.4.2

* Sun Dec 31 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1

* Tue Nov 07 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.18-1
- Update to 0.3.18

* Fri Oct 27 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.17-1
- Update to 0.3.17

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.15-3
- Port to use rust-packaging

* Fri Feb 24 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.15-2
- Use rich dependencies

* Sun Feb 12 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.15-1
- Initial package
